• Русский
  • MGR Backup

    Description
    MySQLBackup is the Schema for the mysqlbackups API
    Type
    object

    Specification

    PropertyTypeDescription
    apiVersionstring

    APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources

    kindstring

    Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds

    metadataObjectMeta

    ObjectMeta is metadata that all persisted resources must have, which includes all objects users must create.

    specobject

    MySQLBackupSpec defines the desired state of MySQLBackup

    statusobject

    MySQLBackupStatus defines the observed state of MySQLBackup

    .spec

    Description
    MySQLBackupSpec defines the desired state of MySQLBackup
    Type
    object
    PropertyTypeDescription
    clusterobject

    Cluster is the name of source cluster.

    fullExecutorstring

    Executor is the executor of full backup.

    mysqlShellDumpobject

    DumpOption is the dump option for backup.

    storageobject

    Storage is the storage information of backup for.

    storeMetaboolean

    StoreMeta is the flag of store meta data.

    typestring

    Type means full or increment backup.

    .spec.cluster

    Description
    Cluster is the name of source cluster.
    Type
    object
    PropertyTypeDescription
    namestring

    Name of the referent. This field is effectively required, but due to backwards compatibility is allowed to be empty. Instances of this type with an empty value here are almost certainly wrong. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/names/#names

    .spec.mysqlShellDump

    Description
    DumpOption is the dump option for backup.
    Type
    object
    PropertyTypeDescription
    excludeSchemasarray

    ExcludeSchemas specifies the schemas to exclude from the backup.

    excludeTablesarray

    ExcludeTables specifies the tables to exclude from the backup, using the 'schema.table' format.

    includeSchemasarray

    IncludeSchemas specifies the schemas to include in the backup.

    includeTablesarray

    IncludeTables specifies the tables to include in the backup, using the 'schema.table' format.

    maxRateinteger

    MaxRate specifies the maximum rate at which data is transferred during the backup operation.

    threadsinteger

    Threads specifies the number of threads to use for the backup operation.

    .spec.mysqlShellDump.excludeSchemas

    Description
    ExcludeSchemas specifies the schemas to exclude from the backup.
    Type
    array

    .spec.mysqlShellDump.excludeSchemas[]

    Type
    string

    .spec.mysqlShellDump.excludeTables

    Description
    ExcludeTables specifies the tables to exclude from the backup, using the 'schema.table' format.
    Type
    array

    .spec.mysqlShellDump.excludeTables[]

    Type
    string

    .spec.mysqlShellDump.includeSchemas

    Description
    IncludeSchemas specifies the schemas to include in the backup.
    Type
    array

    .spec.mysqlShellDump.includeSchemas[]

    Type
    string

    .spec.mysqlShellDump.includeTables

    Description
    IncludeTables specifies the tables to include in the backup, using the 'schema.table' format.
    Type
    array

    .spec.mysqlShellDump.includeTables[]

    Type
    string

    .spec.storage

    Description
    Storage is the storage information of backup for.
    Type
    object
    PropertyTypeDescription
    s3object

    S3 means s3 compatible object storage

    .spec.storage.s3

    Description
    S3 means s3 compatible object storage
    Type
    object
    PropertyTypeDescription
    bucketstring

    Bucket in which to store the Backup.

    endpointstring

    Endpoint (hostname only or fully qualified URI) of S3 compatible storage service.

    regionstring

    Region in which the S3 compatible bucket is located.

    secretobject

    Secret is a reference to the Secret containing the credentials authenticating with the S3 compatible storage service.

    .spec.storage.s3.secret

    Description
    Secret is a reference to the Secret containing the credentials authenticating with the S3 compatible storage service.
    Type
    object
    PropertyTypeDescription
    namestring

    Name of the referent. This field is effectively required, but due to backwards compatibility is allowed to be empty. Instances of this type with an empty value here are almost certainly wrong. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/names/#names

    .status

    Description
    MySQLBackupStatus defines the observed state of MySQLBackup
    Type
    object
    PropertyTypeDescription
    allocatedstring

    Allocated is the name of pod allocate to.

    dataEndTimestring

    DataEndTime is the stop time of increment backup or full backup data.

    dataStartTimestring

    DataStartTime is the start time of increment backup data.

    executorstring

    Executor is the executor of backup.

    finishTimestring

    FinishTime is the finish time of backup runs.

    gtidEndstring

    GtidEnd is the stop gtid of backup data

    gtidFullPreviousstring

    FullGtid is the gtid of full backup if skip a full backup.

    gtidPreviousstring

    GtidPrevious is the gtid of previous backup.

    gtidStartstring

    GtidStart is the start gtid of backup data

    markstring

    Mark is the mark of backup

    memberSizeinteger

    MemberSize is the size of cluster member.

    messagestring

    Message is the message of run result of backup

    pathstring

    Path is the path of the file stored in storage.

    startTimestring

    StartTime is the start time of backup runs.

    statestring

    State is the backup state and enumeration of success, fail or running.

    storeMetaboolean

    StoreMeta is the flag of store meta CR.

    API Endpoints

    The following API endpoints are available:

    • /apis/mysql.middleware.alauda.io/v1/namespaces/{namespace}/mysqlbackups
      • DELETE: delete collection of MySQLBackup
      • GET: list objects of kind MySQLBackup
      • POST: create a new MySQLBackup
    • /apis/mysql.middleware.alauda.io/v1/namespaces/{namespace}/mysqlbackups/{name}
      • DELETE: delete the specified MySQLBackup
      • GET: read the specified MySQLBackup
      • PATCH: partially update the specified MySQLBackup
      • PUT: replace the specified MySQLBackup
    • /apis/mysql.middleware.alauda.io/v1/namespaces/{namespace}/mysqlbackups/{name}/status
      • GET: read status of the specified MySQLBackup
      • PATCH: partially update status of the specified MySQLBackup
      • PUT: replace status of the specified MySQLBackup

    /apis/mysql.middleware.alauda.io/v1/namespaces/{namespace}/mysqlbackups

    HTTP method
    DELETE
    Description
    delete collection of MySQLBackup
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    list objects of kind MySQLBackup
    HTTP responses
    HTTP codeResponse body
    200 - OKMySQLBackupList schema
    401 - UnauthorizedEmpty
    HTTP method
    POST
    Description
    create a new MySQLBackup
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyMySQLBackup schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKMySQLBackup schema
    201 - CreatedMySQLBackup schema
    202 - AcceptedMySQLBackup schema
    401 - UnauthorizedEmpty

    /apis/mysql.middleware.alauda.io/v1/namespaces/{namespace}/mysqlbackups/{name}

    HTTP method
    DELETE
    Description
    delete the specified MySQLBackup
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    202 - AcceptedStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    read the specified MySQLBackup
    HTTP responses
    HTTP codeResponse body
    200 - OKMySQLBackup schema
    401 - UnauthorizedEmpty
    HTTP method
    PATCH
    Description
    partially update the specified MySQLBackup
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    HTTP responses
    HTTP codeResponse body
    200 - OKMySQLBackup schema
    401 - UnauthorizedEmpty
    HTTP method
    PUT
    Description
    replace the specified MySQLBackup
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyMySQLBackup schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKMySQLBackup schema
    201 - CreatedMySQLBackup schema
    401 - UnauthorizedEmpty

    /apis/mysql.middleware.alauda.io/v1/namespaces/{namespace}/mysqlbackups/{name}/status

    HTTP method
    GET
    Description
    read status of the specified MySQLBackup
    HTTP responses
    HTTP codeResponse body
    200 - OKMySQLBackup schema
    401 - UnauthorizedEmpty
    HTTP method
    PATCH
    Description
    partially update status of the specified MySQLBackup
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    HTTP responses
    HTTP codeResponse body
    200 - OKMySQLBackup schema
    401 - UnauthorizedEmpty
    HTTP method
    PUT
    Description
    replace status of the specified MySQLBackup
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyMySQLBackup schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKMySQLBackup schema
    201 - CreatedMySQLBackup schema
    401 - UnauthorizedEmpty